Abstract class for classes that modifiy duration.

param note

  the note we're iterating over

param tickmap

  the tickmap for the measure

param index

  the index into the tickmap

returns

  the note or notes that replace this one. Null if this note is no longer in the measure

### Hierarchy

- TickIteratorBase
  - SmoContractNoteActor
  - SmoContractTupletActor
  - SmoUnmakeTupletActor
  - SmoMakeTupletActor
  - SmoStretchNoteActor

## Index

### Constructors

- constructor

## Constructors

### constructor

- new TickIteratorBase(): TickIteratorBase

- #### Returns TickIteratorBase

Generated using TypeDoc